accrue.analysis.ext

## Interface ExtAlloc

- All Superinterfaces:
    AccrueExt, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Ext>, polyglot.ast.Ext, polyglot.ast.NodeOps, java.io.Serializable
  All Known Implementing Classes:
    ExtArrayInit, ExtEnumConstantDecl, ExtNew, ExtNewArray

      public interface ExtAlloc
      extends AccrueExt

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllocSiteNode` | `getAllocNode(ConstructorContext constructorContext)` Get the AllocSiteNode representing the allocation of a new object (within the specific constructor context).
    `void` | `setAllocNode(AllocSiteNode allocNode, ConstructorContext constructorContext)` Set the AllocSiteNode representing the allocation of a new object (within the specific constructor context).

    - ### Methods inherited from interface accrue.analysis.ext.AccrueExt

      `enclosingFinallyDepth, getAnalysisResult, getAnalysisResult, getAnalysisResult, numArgumentsOnResultStack, recordAnalysisResult, recordAnalysisResult, recordAnalysisResult, registerPointerStmts, removeAnalysisResult, removeAnalysisResult, removeAnalysisResult, setEnclosingFinallyDepth`

    - ### Methods inherited from interface polyglot.ast.Ext

      `dump, ext, ext, init, initPred, node, pred`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### setAllocNode

          void setAllocNode(AllocSiteNode allocNode,
                          ConstructorContext constructorContext)

      Set the AllocSiteNode representing the allocation of a new object (within the specific constructor context).

    - #### getAllocNode

          AllocSiteNode getAllocNode(ConstructorContext constructorContext)

      Get the AllocSiteNode representing the allocation of a new object (within the specific constructor context).